
// TouristInfo.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Uchovává informace o jediném klientovi:
   jeho IP-adresu, port a výstupní proud

   Pomocí výstupního proudu mu posílá zprávy.
 
   Adresa a port se používají pro jednoznačnou identifikaci klienta 
   (klient nemá žádné jméno).

   Velmi podobná třídě Chatter z multi-vláknového diskusního serveru.
*/


import java.io.*;


public class TouristInfo
{
  String cliAddr;
  int port;
  PrintWriter out;

  public TouristInfo(String cliAddr, int port, PrintWriter out)
  { this.cliAddr = cliAddr;
    this.port = port; this.out = out;
  }

  public boolean matches(String ca, int p)
  {
    if (cliAddr.equals(ca) && (port == p))
      return true;
    return false;
  }

  public void sendMessage(String msg)
  { // System.out.println("sendMessage to (" + cliAddr + "," +
	//					port + ") : " + msg);
    out.println(msg);  
  }


  // public String toString()
  // {  return cliAddr + " & " + port + " & ";  }


}  // konec třídy: TouristInfo